package core.configuration;

import com.google.gson.annotations.SerializedName;

public class ConfigurationMap
{
    @SerializedName("db.url")
    private final String url;

    @SerializedName("db.username")
    private final String username;

    @SerializedName("db.password")
    private final String password;

    @SerializedName("server.port")
    private final int port;

    public ConfigurationMap(String url, String username, String password, int port)
    {
        this.url = url;
        this.username = username;
        this.password = password;
        this.port = port;
    }

    public String getUrl()
    {
        return url;
    }

    public String getUsername()
    {
        return username;
    }

    public String getPassword()
    {
        return password;
    }

    public int getPort()
    {
        return port;
    }
}
